Package org.zkoss.stateless.sul

## Class IScript.Updater

- java.lang.Object
- - org.zkoss.stateless.sul.IScript.Updater

- All Implemented Interfaces:
    `SmartUpdater`
  Enclosing interface:
    IScript

      public static class IScript.Updater
      extends java.lang.Object

  Builds an updater of type `IScript` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  `Updater` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

  See Also:
    `SmartUpdater`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Updater()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IScript.Updater` | `charset​(java.lang.String charset)` | Sets the given value of `charset` to update to client widget
    `IScript.Updater` | `content​(java.lang.String content)` | Sets the given value of `content` to update to client widget
    `IScript.Updater` | `defer​(boolean defer)` | Sets the given value of `defer` to update to client widget
    `IScript.Updater` | `id​(java.lang.String id)` | Sets the given value of `id` to update to client widget
    `java.util.Map<java.lang.String,​java.lang.Object>` | `marshal()` | Serializes the keys and values of the updater.
    `IScript.Updater` | `mold​(java.lang.String mold)` | Sets the given value of `mold` to update to client widget
    `IScript.Updater` | `packages​(java.lang.String packages)` | Sets the given value of `packages` to update to client widget
    `IScript.Updater` | `src​(java.lang.String src)` | Sets the given value of `src` to update to client widget
    `IScript.Updater` | `visible​(boolean visible)` | Sets the given value of `visible` to update to client widget
    `IScript.Updater` | `widgetClass​(java.lang.String widgetClass)` | Sets the given value of `widgetClass` to update to client widget

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Updater

          public Updater()

  - ### Method Detail

    - #### id

          public IScript.Updater id​(java.lang.String id)

      Sets the given value of `id` to update to client widget
      Parameters:
        `id` - The new value for `id`
      See Also:
        `IComponent.withId(java.lang.String)`

    - #### visible

          public IScript.Updater visible​(boolean visible)

      Sets the given value of `visible` to update to client widget
      Parameters:
        `visible` - The new value for `visible`
      See Also:
        `IComponent.withVisible(boolean)`

    - #### mold

          public IScript.Updater mold​(java.lang.String mold)

      Sets the given value of `mold` to update to client widget
      Parameters:
        `mold` - The new value for `mold`
      See Also:
        `IComponent.withMold(java.lang.String)`

    - #### widgetClass

          public IScript.Updater widgetClass​(java.lang.String widgetClass)

      Sets the given value of `widgetClass` to update to client widget
      Parameters:
        `widgetClass` - The new value for `widgetClass`
      See Also:
        `IComponent.withWidgetClass(java.lang.String)`

    - #### charset

          public IScript.Updater charset​(java.lang.String charset)

      Sets the given value of `charset` to update to client widget
      Parameters:
        `charset` - The new value for `charset`
      See Also:
        `IScript.withCharset(java.lang.String)`

    - #### src

          public IScript.Updater src​(java.lang.String src)

      Sets the given value of `src` to update to client widget
      Parameters:
        `src` - The new value for `src`
      See Also:
        `IScript.withSrc(java.lang.String)`

    - #### defer

          public IScript.Updater defer​(boolean defer)

      Sets the given value of `defer` to update to client widget
      Parameters:
        `defer` - The new value for `defer`
      See Also:
        `IScript.withDefer(boolean)`

    - #### content

          public IScript.Updater content​(java.lang.String content)

      Sets the given value of `content` to update to client widget
      Parameters:
        `content` - The new value for `content`
      See Also:
        `IScript.withContent(java.lang.String)`

    - #### packages

          public IScript.Updater packages​(java.lang.String packages)

      Sets the given value of `packages` to update to client widget
      Parameters:
        `packages` - The new value for `packages`
      See Also:
        `IScript.withPackages(java.lang.String)`

    - #### marshal

          public java.util.Map<java.lang.String,​java.lang.Object> marshal()

      Description copied from interface: `SmartUpdater`
      Serializes the keys and values of the updater.
      Specified by:
        `marshal` in interface `SmartUpdater`
      Returns:
        A keys and values mapping for `UiAgent.smartUpdate(org.zkoss.stateless.ui.Locator, org.zkoss.stateless.ui.SmartUpdater)`